.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_Room:

Room
====

**Inherits:** :ref:`VisualInstance<class_visualinstance>` **<** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Room data resource.

Member Functions
----------------

+--------------------------+---------------------------------------------------------------------------------+
| :ref:`Room<class_room>`  | :ref:`get_room<class_Room_get_room>`  **(** **)** const                         |
+--------------------------+---------------------------------------------------------------------------------+
| void                     | :ref:`set_room<class_Room_set_room>`  **(** :ref:`Room<class_room>` room  **)** |
+--------------------------+---------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`Area<class_area>` **room/room**

Description
-----------

Room contains the data to define the bounds of a scene (using a BSP Tree). It is instanced by a :ref:`VisualInstance<class_visualinstance>` node to create rooms. See that class documentation for more information about rooms.

Member Function Description
---------------------------

.. _class_Room_get_room:

- :ref:`Room<class_room>`  **get_room**  **(** **)** const

.. _class_Room_set_room:

- void  **set_room**  **(** :ref:`Room<class_room>` room  **)**


